summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authoracxz2019-10-12 00:55:09 -0400
committeracxz2019-10-12 00:55:09 -0400
commit4dd10c01a926ad62267d8f94b55f6a0e40cba16f (patch)
tree84f8a7ed1c40a498a872afed65e91d7ebc51637d /PKGBUILD
parent20c85bc6916f4fa61609e9857edee3fd708eca9c (diff)
downloadaur-4dd10c01a926ad62267d8f94b55f6a0e40cba16f.tar.gz
patch boost issue
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD14
1 files changed, 10 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 4470b3b0bdc..9488038edc1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,9 +5,8 @@ url='https://wiki.ros.org/camera_calibration_parsers'
pkgname='ros-melodic-camera-calibration-parsers'
pkgver='1.11.13'
-_pkgver_patch=0
arch=('any')
-pkgrel=2
+pkgrel=3
license=('BSD')
ros_makedepends=(
@@ -40,8 +39,15 @@ depends=(
)
_dir="image_common-${pkgver}/camera_calibration_parsers"
-source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros-perception/image_common/archive/${pkgver}.tar.gz")
-sha256sums=('32a2e07724dec6eaaace21eae006274436d70d40bfe205249438570275c43cac')
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros-perception/image_common/archive/${pkgver}.tar.gz"
+ "boost-fix.patch")
+sha256sums=('32a2e07724dec6eaaace21eae006274436d70d40bfe205249438570275c43cac'
+ '85b506e095b95e6382b816625e798444c83e77f52eef8c98ed0182ef59d326d4')
+
+prepare() {
+ cd "${srcdir}/${_dir}"
+ patch -uN CMakeLists.txt ../../../boost-fix.patch || return 1
+}
build() {
# Use ROS environment variables.